| 0.9.9 API documentation

- Main Page
- Modules
- Files

- File List

Functions
matrix_relational.hpp File Reference

GLM_EXT_matrix_relational More...

Go to the source code of this file.

## Functions
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | equal (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y)
| Perform a component-wise equal-to comparison of two matrices. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | equal (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y, T epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | equal (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y, vec< C, T, Q > const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | equal (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y, int ULPs)
| Returns the component-wise comparison between two vectors in term of ULPs. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | equal (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y, vec< C, int, Q > const &ULPs)
| Returns the component-wise comparison between two vectors in term of ULPs. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | notEqual (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y)
| Perform a component-wise not-equal-to comparison of two matrices. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | notEqual (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y, T epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | notEqual (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y, vec< C, T, Q > const &epsilon)
| Returns the component-wise comparison of |x - y| >= epsilon. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | notEqual (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y, int ULPs)
| Returns the component-wise comparison between two vectors in term of ULPs. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | notEqual (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y, vec< C, int, Q > const &ULPs)
| Returns the component-wise comparison between two vectors in term of ULPs. More...

## Detailed Description

GLM_EXT_matrix_relational

Definition in file matrix_relational.hpp.